Package edu.msu.cme.rdp.classifier.train.validation.distance

# Class CompareTrainingSets

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.distance.CompareTrainingSets

public class CompareTrainingSets extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`CompareTrainingSets.HierarchyTreeExtend`

## Constructor Summary

Constructors
Constructor
Description
`CompareTrainingSets(String rankFile, String[] files)`

## Method Summary

Modifier and Type
Method
Description
`void`
`compare(String summaryOutFile, String detailOutFile)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompareTrainingSets

public CompareTrainingSets(String rankFile, String[] files) throws IOException

Throws:
  `IOException`

## Method Details

### compare

public void compare(String summaryOutFile, String detailOutFile) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`